package us.camin;

/*
    This file is part of Caminus

    Caminus is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Caminus is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Caminus.  If not, see <http://www.gnu.org/licenses/>.
 */

import java.lang.Runnable;
import java.io.IOException;
import java.util.logging.Logger;
import org.bukkit.scheduler.BukkitScheduler;

public class ServerHeartbeat implements Runnable {
    private Plugin m_plugin;
    private boolean m_running;
    private int m_taskid;
    Logger log = Logger.getLogger("CaminusHeartbeat");

    public ServerHeartbeat(Plugin plugin) {
        m_plugin = plugin;
        m_running = true;
    }

    public void run() {
      if (m_running) {
        m_plugin.sendHeartbeat();
        final BukkitScheduler scheduler = m_plugin.getServer().getScheduler();
        m_taskid = scheduler.scheduleAsyncDelayedTask(m_plugin, this, 100);
      }
    }

    public void stop() {
      BukkitScheduler scheduler = m_plugin.getServer().getScheduler();
      scheduler.cancelTask(m_taskid);
      m_running  = false;
    }
}
